"""create table for people
Revision ID: 8f4e7c9a1b23
Revises: 2a3b4c5d6e7f
Create Date: 2023-05-24 12:34:56.789012

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func
import uuid

# revision identifiers, used by Alembic.
revision = '8f4e7c9a1b23'
down_revision = '2a3b4c5d6e7f'
branch_labels = None
depends_on = None

def upgrade():
    table_name = "people"

    op.create_table(
        table_name,
        sa.Column('id', sa.String(36), primary_key=True, default=lambda: str(uuid.uuid4())),
        sa.Column('name', sa.String(), nullable=False),
        sa.Column('email', sa.String(), nullable=False, unique=True),
        sa.Column('phone_number', sa.String(), nullable=True, unique=True),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now()),
        sa.Index('ix_people_email', 'email')
    )

def downgrade():
    table_name = "people"
    op.drop_index('ix_people_email', table_name=table_name)
    op.drop_table(table_name)