"""create table for Career
Revision ID: 4a76dcc2f5e7
Revises: 8f4e7c9a1b23
Create Date: 2023-05-25 12:34:56.789012

"""
from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic.
revision = '4a76dcc2f5e7'
down_revision = '8f4e7c9a1b23'
branch_labels = None
depends_on = None

def upgrade():
    table_name = "careers"

    op.create_table(
        table_name,
        sa.Column('id', sa.String(36), primary_key=True),
        sa.Column('name', sa.String(), nullable=False, unique=True),
        sa.Column('description', sa.String(), nullable=True),
        sa.Column('created_at', sa.DateTime(), server_default=sa.func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=sa.func.now(), onupdate=sa.func.now())
    )
    op.create_index(op.f('ix_careers_name'), table_name, ['name'], unique=True)

def downgrade():
    table_name = "careers"
    op.drop_index(op.f('ix_careers_name'), table_name=table_name)
    op.drop_table(table_name)