from fastapi import APIRouter, Depends
from sqlalchemy.orm import Session
from typing import List
from core.database import get_db
from schemas.person import PersonSchema
from helpers.person_helpers import get_all_people

router = APIRouter()

@router.get("/people", status_code=200, response_model=List[PersonSchema])
async def get_people(db: Session = Depends(get_db)):
    people = get_all_people(db)
    return people